change log for rtems-testing (2011-01-04)

rtems-vc at rtems.org rtems-vc at rtems.org
Tue Jan 4 20:10:03 UTC 2011


 *joel*:
2011-01-04	Joel Sherrill <joel.sherrill at oarcorp.com>

	* cvscommit, mkChangeLogList: Avoid processing autom4te.cache
	directories and directories not added to CVS yet.

M   1.14  cvs-helpers/ChangeLog
M    1.4  cvs-helpers/cvscommit
M    1.6  cvs-helpers/mkChangeLogList

diff -u rtems-testing/cvs-helpers/ChangeLog:1.13 rtems-testing/cvs-helpers/ChangeLog:1.14
--- rtems-testing/cvs-helpers/ChangeLog:1.13	Mon Aug  2 08:14:03 2010
+++ rtems-testing/cvs-helpers/ChangeLog	Tue Jan  4 13:53:53 2011
@@ -1,3 +1,8 @@
+2011-01-04	Joel Sherrill <joel.sherrill at oarcorp.com>
+
+	* cvscommit, mkChangeLogList: Avoid processing autom4te.cache
+	directories and directories not added to CVS yet.
+
 2010-08-02	Joel Sherrill <joel.sherrill at oarcorp.com>
 
 	* mktest: Add .doc files with -kkv option so keyword expansion is on.

diff -u rtems-testing/cvs-helpers/cvscommit:1.3 rtems-testing/cvs-helpers/cvscommit:1.4
--- rtems-testing/cvs-helpers/cvscommit:1.3	Tue Jan 19 16:05:40 2010
+++ rtems-testing/cvs-helpers/cvscommit	Tue Jan  4 13:53:53 2011
@@ -89,8 +89,13 @@
 
 for ddir in ${subdirs} ; do
   test "${ddir}" = "CVS" && continue
+  test "${ddir}" = "autom4te.cache" && continue
   test "${ddir}" = "install" && continue
   if [ -d "${ddir}" ]; then
+    if [ ! -d "${ddir}/CVS" ] ; then
+      echo "WARNING - ${ddir} is not in CVS"
+      continue
+    fi
     test -f "${ddir}/ChangeLog" || continue
     cd "$ddir" >/dev/null
     mkChangeLogList ${mkchoptions} ${userArg} "${userInfo}" \

diff -u rtems-testing/cvs-helpers/mkChangeLogList:1.5 rtems-testing/cvs-helpers/mkChangeLogList:1.6
--- rtems-testing/cvs-helpers/mkChangeLogList:1.5	Fri Apr  9 12:31:20 2010
+++ rtems-testing/cvs-helpers/mkChangeLogList	Tue Jan  4 13:53:53 2011
@@ -125,6 +125,5 @@
   mklog_ Removed.
 echo
 
-
 rm -f XXX
 exit 0


 *joel*:
2011-01-04	Joel Sherrill <joel.sherrill at oarcorp.com>

	* clang/do_clang: New file.

M   1.63  ChangeLog
A    1.1  clang/do_clang

diff -u rtems-testing/ChangeLog:1.62 rtems-testing/ChangeLog:1.63
--- rtems-testing/ChangeLog:1.62	Tue Dec  7 15:09:38 2010
+++ rtems-testing/ChangeLog	Tue Jan  4 14:02:47 2011
@@ -1,3 +1,7 @@
+2011-01-04	Joel Sherrill <joel.sherrill at oarcorp.com>
+
+	* clang/do_clang: New file.
+
 2010-12-07	Joel Sherrill <joel.sherrill at oarcorp.com>
 
 	* VERSIONS:

diff -u /dev/null rtems-testing/clang/do_clang:1.1
--- /dev/null	Tue Jan  4 14:10:03 2011
+++ rtems-testing/clang/do_clang	Tue Jan  4 14:02:47 2011
@@ -0,0 +1,79 @@
+#! /bin/sh
+#
+#  This script automates running clang-analyzer on RTEMS.
+# 
+# NOTE:
+#    + clang/scan does not support -B option so no code which needs bsp.h
+#    + clang/scan has bug about embedded space in RHS of -D option.
+# 
+#  $Id$
+#
+
+#
+# TODO:
+#   + parse arguments for some of the hard-coded items.
+#   + better instructions on setup. Where to download, etc.
+#
+
+OUTPUTDIR=/home/joel/rtems-4.11-work/build/clang/output
+RTEMS_BIN=/opt/rtems-4.11/bin
+RTEMS_TARGET=sparc-rtems4.11
+RTEMS_BSP=sis
+#RTEMS_TARGET=i386-rtems4.11
+#RTEMS_BSP=pc386
+
+#
+#  Checks the status returned by executables and exits if it is non-zero.
+#
+check_fatal()
+{
+  if [ $1 -ne 0 ] ; then
+    shift
+    echo "ERROR: $*" >&2
+    exit 1
+  fi
+}
+
+type ${RTEMS_TARGET}-gcc
+check_fatal $? "gcc not in path"
+
+type scan-build >/dev/null 2>&1
+check_fatal $? "scan-build not in PATH"
+
+# How many jobs in parallel
+if [ -r /usr/bin/getconf ] ; then
+  cpus=`/usr/bin/getconf _NPROCESSORS_ONLN`
+  cpus=`expr ${cpus} + 1`
+else
+  cpus=2
+fi
+# Clean build directory and start over
+rm     -rf  b-clang-${RTEMS_TARGET}
+check_fatal $? "Could not remove build directory"
+mkdir  -p   b-clang-${RTEMS_TARGET}
+check_fatal $? "Could not make build directory"
+cd          b-clang-${RTEMS_TARGET}
+check_fatal $? "Could not cd to build directory"
+
+# Configure RTEMS
+#$r/configure --target=${RTEMS_TARGET} --enable-multilib \
+#  --disable-networking --disable-itron --disable-tests \
+#  --enable-rtemsbsp=${RTEMS_BSP} >c.log 2>&1
+$r/configure --target=${RTEMS_TARGET} --disable-multilib \
+  --disable-networking --disable-itron --disable-tests \
+  --enable-rtemsbsp=${RTEMS_BSP} >c.log 2>&1
+check_fatal $? "could not configure RTEMS"
+
+# Build RTEMS
+BASE=`pwd`
+#cd ${RTEMS_TARGET}/cpukit 
+#check_fatal $? "could not cd ${RTEMS_TARGET}/cpukit"
+
+scan-build -o ${OUTPUTDIR} --experimental-checks \
+  --use-cc ${RTEMS_TARGET}-gcc \
+  --use-c++ ${RTEMS_TARGET}-g++ \
+  make -j${cpus} >${BASE}/b.log 2>&1
+check_fatal $? "could not make RTEMS"
+
+# Ran completed OK
+exit 0



--

Generated by Deluxe Loginfo [http://www.codewiz.org/projects/index.html#loginfo] 2.122 by Bernardo Innocenti <bernie at develer.com>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.rtems.org/pipermail/vc/attachments/20110104/ca60a456/attachment.html>


More information about the vc mailing list